---
title: GainNode()
slug: Web/API/GainNode/GainNode
tags:
  - API
  - Audio
  - Constructor
  - GainNode
  - Media
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <strong><code>GainNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("GainNode")}} object which an {{domxref("AudioNode")}} that represents a change in volume.</p>

<div class="note">
<p><strong>Note</strong>: You should typically call {{domxref("AudioContext.createGain()")}} to create a gain node.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>gainNode</em> = new GainNode(<em>context</em>, <em>options</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
	<dt><code>context</code></dt>
	<dd>A reference to an {{domxref("AudioContext")}}.</dd>
	<dt><code>options</code> {{optional_inline}}</dt>
	<dd>Options are as follows:
	<ul>
		<li><code>gain</code>: The amount of gain to apply. This parameter is a-rate and it's nominal range is (-∞,+∞). The default is <code>1</code>.</li>
	</ul>
	</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("GainNode")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API','#dom-gainnode-gainnode','GainNode()')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.GainNode.GainNode")}}</p>
</div>
